# This file is automatically generated by autoconf
#

ifndef PWLIBDIR
	echo "No PWLIBDIR environment variable defined!"
	echo "You need to define PWLIBDIR!"
	echo "Try something like:"
	echo "PWLIBDIR = $(HOME)/pwlib"
	exit 1
endif

MACHTYPE   = mips64
OSTYPE	   = OpenBSD
OSRELEASE  = 201005

STDCCFLAGS    +=  -DP_USE_PRAGMA -D_REENTRANT -fno-exceptions -I/usr/X11R6/include -I/usr/local/include
STDCXXFLAGS   +=  -felide-constructors -Wreorder -I/usr/X11R6/include -I/usr/local/include
OPTSTDCCFLAGS += 
LDFLAGS	      += -L/usr/X11R6/lib -L/usr/local/lib
ENDLDLIBS     += -lldap -llber -lldap_r  -pthread -lsasl2 -lssl -lcrypto -lexpat -lSDL
DEBUG_FLAG    += -g3 -ggdb -O0

AR		= /usr/bin/ar

USE_GCC         = yes
USE_PCH		= 
HAS_IPV6        = no
HAS_RESOLVER	= 1
HAS_OPENSSL	= 1
HAS_OPENLDAP	= 1
HAS_SASL	= 
HAS_SASL2	= 1
HAS_EXPAT	= 1
HAS_REGEX	= 1
HAS_SDL		= 1
HAS_PLUGINS	= 1
HAS_VIDEO_CAPTURE = 1

HAS_ALSA	= 
HAS_OSS		= 
HAS_V4L		= @HAS_V4L@
HAS_V4L2	= @HAS_V4L2@
HAS_BSDVIDEOCAP = @HAS_BSDVIDEOCAP@
HAS_AVC1394	= @HAS_AVC1394@
HAS_DC1394	= @HAS_DC1394@

HAS_TTS		= 1
HAS_ASN		= 1
HAS_STUN	= 1
HAS_PIPECHAN	= 1
HAS_DTMF	= 1
HAS_WAVFILE	= 1
HAS_SOCKS	= 1
HAS_FTP		= 1
HAS_SNMP	= 1
HAS_TELNET	= 1
HAS_REMCONN	= 
HAS_SERIAL	= 1
HAS_POP3SMTP	= 1
HAS_AUDIO	= 1
HAS_VIDEO	= 1
USE_SHM_VIDEO_DEVICES = 1

HAS_VXML	= 1
HAS_JABBER	= 1
HAS_XMLRPC	= 1
HAS_SOAP	= 1
HAS_HTTP	= 1
HAS_HTTPSVC	= 1
HAS_CONFIG_FILE = 1
HAS_SOCKAGG	= 
HAS_VIDFILE	= 1
HAS_ODBC    = 

SHAREDLIBEXT	= so

P_STATIC_LDFLAGS   = 
P_STATIC_ENDLDLIBS = 


